package com.huimv.manager.modular.controller;


import com.huimv.manager.modular.service.MobileUserService;
import com.huimv.manager.result.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author yinhao
 * @Date 2021/4/19 12:18
 * @Description
 */
@Slf4j
@CrossOrigin
@RestController
public class MobileUserLoginController {

    @Autowired
    private RedisTemplate<String, String> redisTemplate;

    @Autowired
    private MobileUserService mobileUserService;

    @PostMapping("/login")
    public R login(@RequestParam(name = "account") String account,
                   @RequestParam(name = "password") String password,
                   @RequestParam(name = "code") String code,
                   HttpServletRequest request) {

        String remoteHost = request.getRemoteHost();
        String redisCode = redisTemplate.opsForValue().get(remoteHost);
        if (redisCode == null) {
            return R.error("验证码已过期,请点击刷新!");
        }
        if (!redisCode.equals(code.toUpperCase())) {
            return R.error("验证码错误!");
        }
        log.info(code);
        return mobileUserService.login(account, password, code);
    }
}
