package com.huimv.manager.modular.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Entity
@Table(name = "mobile_user")
public class MobileUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @Column(name = "user_name")
    private String userName;

    /**
     * 密码
     */
    @ApiModelProperty("密码")
    @Column(name = "password")
    private String password;

    /**
     * 账号
     */
    @ApiModelProperty("账号")
    @Column(name = "account")
    private String account;

    /**
     * 账号状态
     */
    @Column(name = "status")
    @ApiModelProperty(value = "账号状态",example = "1")
    private Integer status;

    /**
     * 所属单位
     */
    @Column(name = "unit")
    @ApiModelProperty("所属单位")
    private String unit;

    /**
     * 所属单位id
     */
    @Column(name = "unit_id")
    @ApiModelProperty(value = "所属单位id",example = "1")
    private Integer unitId;

    /**
     * 职务
     */
    @Column(name = "job")
    @ApiModelProperty("职务")
    private String job;

    /**
     * 权限级别
     */
    @ApiModelProperty(value = "权限级别",example = "1")
    @Column(name = "grant_class")
    private Integer grantClass;

}
