package com.huimv.mobile.service.impl;

import com.huimv.mobile.domain.MobileApi;
import com.huimv.mobile.domain.MobileUnit;
import com.huimv.mobile.domain.MobileUser;
import com.huimv.mobile.repo.MobileApiRepository;
import com.huimv.mobile.repo.MobileUnitRepository;
import com.huimv.mobile.repo.MobileUserRepository;
import com.huimv.mobile.result.Result;
import com.huimv.mobile.service.MobileUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.DigestUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Optional;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.mobile.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/4/19 0019 14:23
 **/
@Service
public class MobileUserServiceImpl implements MobileUserService {

    @Autowired
    private MobileUserRepository userRepository;

    @Autowired
    private MobileUnitRepository mobileUnitRepository;

    @Override
    public Result login(String account, String password) {

        password = DigestUtils.md5DigestAsHex(password.getBytes());
        MobileUser mobileUser = userRepository.findByAccountAndPassword(account, password);

        if (mobileUser == null){
            return new Result(10001,"用户名或密码错误");
        }
        if (mobileUser.getStatus() == 0){
            return new Result(10001,"该账号已停冻结");
        }



        Map endMap  = new HashMap();
        Integer grant = mobileUser.getGrantClass();
        if (!grant.equals( 3)){
            List<MobileUnit> all = mobileUnitRepository.findAll();
            endMap.put("url",all);
            endMap.put("userName",mobileUser.getUserName());
            endMap.put("userId",mobileUser.getId());
            endMap.put("unit",mobileUser.getUnit());
            endMap.put("grant",grant);
            endMap.put("account",mobileUser.getAccount());
            return new Result(10000,"登录成功",endMap);
        }
        if (grant == 3){

            String api =  mobileUnitRepository.findById(mobileUser.getUnitId()).get().getApi();
            endMap.put("url",api);
            endMap.put("userName",mobileUser.getUserName());
            endMap.put("userId",mobileUser.getId());
            endMap.put("unit",mobileUser.getUnit());
            endMap.put("grant",grant);
            return new Result(10000,"登录成功",endMap);
        }else {
            return new Result(10002,"未找到权限信息");
        }

    }

    @Override
    public Result updatePassword(Integer userId, String oldPassword, String newPassword) {
        oldPassword = DigestUtils.md5DigestAsHex(oldPassword.getBytes());
        newPassword = DigestUtils.md5DigestAsHex(newPassword.getBytes());

        MobileUser mobileUser = userRepository.findById(userId).get();
        if (!mobileUser.getPassword().equals(oldPassword)){
            return new Result(10001,"原密码错误");
        }
        mobileUser.setPassword(newPassword);
        userRepository.save(mobileUser);

        return new Result(10000,"修改成功");
    }
}
